-- Leo's gemini proxy

-- Connecting to git.thebackupbox.net:1965...

-- Connected

-- Sending request

-- Meta line: 20 text/gemini

repo: shell-daemons
action: commit
revision:
path_from:
revision_from: 5d941dea82e880f0f0ebeb031efcb2b9c427607c:
path_to:
revision_to:

git.thebackupbox.net

shell-daemons

git://git.thebackupbox.net/shell-daemons

commit 5d941dea82e880f0f0ebeb031efcb2b9c427607c
Author: epoch <epoch@hack.thebackupbox.net>
Date:   Wed Jan 5 06:57:15 2022 +0000

    forgot to add finger daemon. last commit, the Makefile would fail on install target.

diff --git a/fingerd b/fingerd
new file mode 100755
index 0000000000000000000000000000000000000000..7839d04c018b6bd56a938e4d72532608c8efdf38
--- /dev/null
+++ b/fingerd
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+read -t10 -r request
+case "$request" in
+GET$'\x20'/*)
+cat <<EOF
+SAY "GET /*" AGAIN.
+SAY "GET /*" AGAIN.
+I DARE YOU.
+I DOUBLE DARE YOU, MOTHERFUCKER.
+SAY "GET /*" ONE MORE GOD DAMN TIME.
+EOF
+exit 1
+;;
+esac
+request="$(printf "%s\n" "$request" | tr -d '\r' | sed 's|^-*||g' | tr -cd 'a-z@.+-')"
+printf "request: '%s'\n" "$request"
+finger "$request"
+date

-----END OF PAGE-----

-- Response ended

-- Page fetched on Sun Jun 2 13:14:26 2024